decode_value
encode_value
get_config
help_text
HOME
init
initialized
is_game
is_system
load_config
lock
module_get_config
module_info
module_init
module_option
option
parse_args
pname
read_cache
read_config
read_data
read_runtime
read_spool
remove_cache
remove_config
remove_data
remove_runtime
remove_spool
remove_temp
save_config
unlock
version_text
write_cache
write_config
write_data
write_log
write_runtime
write_spool
write_temp
XDG_CACHE_HOME
XDG_CONFIG_DIRS
XDG_CONFIG_HOME
XDG_DATA_DIRS
XDG_DATA_HOME
XDG_RUNTIME_DIR

## option()

def fhs.option | ( |  | name,
|  |  | help,
|  |  | short = `None`,
|  |  | multiple = `False`,
|  |  | optional = `False`,
|  |  | default = `None`,
|  |  | noarg = `None`,
|  |  | argtype = `None`,
|  |  | module = `None`,
|  |  | options = `None`,
|  |  | option_order = `None`
| ) |  |

Register commandline argument.

Parameters

  name | Name of the option argument. Should not include the "--" prefix.
  help | Help text when displaying the –help output.
  multiple | If True, this option may be specified multiple times and the value will be a list of the arguments.
  optional | If True, this option's argument may be omitted.
  default | Default value of this argument. This is used if the option is not passed and multiple is False.
  noarg | Default value when option is passed without argument. This is ignored unless optional is True.
  argtype | Type of the argument. If this is None and a default is given, type(default) is used. If default is None, str is used. If argtype is bool, no argument is allowed and default, noarg default to False, True. This type is called to construct the value. It can also be used as a callback.

Definition at line 448 of file fhs.py.

Here is the call graph for this function:
Here is the caller graph for this function: